st7/
;******************************************************************************
; LITEcomp - aplikacje
; Biblioteka procedur obsugi wywietlacza NOKIA 3310 
; Plik : main.asm
;******************************************************************************

		.NOLIST	
		#INCLUDE "st7flite19.inc"
		#INCLUDE "n3310lcd.inc"
    .LIST 

		extern  obrazek.w
		extern	obrazek1.w

;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 					
		SEGMENT 'ram0'
fontPtr	DS.W	1

;******************************************************************************
; obszar pamici programu
;******************************************************************************
		WORDS 					
		SEGMENT 'rom' 	

tekst1
	STRING "  www.btc.pl  "
	STRING "   LITEcomp   "
	STRING "  aplikacje   "
	STRING "  NOKIA 3310  "
	STRING "     LCD      "
	STRING "  ST7FLITE19  ",0

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		CALL	N3310_Init			; inicjalizacja	
		
mainLoop
		LD		X, #obrazek.h
		LD		Y, #obrazek.l
		CALL	N3310_Bitmap		; wywietlenie bitmapy
		

		CALL	waitTimer				; oczekiwanie ok 4s
		
		LD		X, #obrazek1.h
		LD		Y, #obrazek1.l
		CALL	N3310_Bitmap		; wywietlenie bitmapy
		
		CALL	waitTimer				; oczekiwanie ok 4s

		LD		X, #0
		LD		Y, #0
		CALL	N3310_GoTo	
		WTXT	tekst1					; wywietlenie napisu
		
		CALL	waitTimer				; oczekiwanie ok 4s
		
		JRA		mainLoop				; skok na poczatek ptli

;******************************************************************************
; 
;******************************************************************************
waitTimer
		LD		A, #%00001000 	; wczenie timera F=1KHz
		LD		ATCSR, A
		BTJF	ATCSR, #2, *		; oczekiwanie na przepenienie
		CLR		ATCSR			
		RET

		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************
