st7/
;******************************************************************************
; LITEcomp - aplikacje
;	Przykad 1
; Wczenie diody LED
;******************************************************************************

		.NOLIST	
		#INCLUDE "st7flite19.inc"
    .LIST 

LED	EQU 7

;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 					
		SEGMENT 'ram0'

;******************************************************************************
; obszar pamici programu
;******************************************************************************
		WORDS 					
		SEGMENT 'rom' 	

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		RSP										; wyzerowanie wskanika stosu
		CALL	InitPorts 			; wywoanie funkcji inicjujcej porty
.main		
		BRES	PADR, #LED 			; waczenie diody LED
		JRA 	* 							; zatrzymanie programu w ptli nieskoczonej

;******************************************************************************
; Procedura konfiguracji portw wejcia/wyjcia
;******************************************************************************
.InitPorts 								; procedura inicjujca wykorzystywane w programie porty
		LD		A, #$80 				; zaadowanie wartoci inicjujcej PB0
		LD		PADDR, A 				; PA7 -> wyjcie, pozostae -> wejcie
		LD		PADR, A					; PA7 -> "1"
		LD		A, #$00
		LD		PAOR, A					; PA7 -> otwarty dren, pozostae -> pywajce	
		RET
		
		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************
