st7/
;******************************************************************************
; LITEcomp - aplikacje
; Test biblioteki procedur obsugi magistrali I2C
;******************************************************************************
		.NOLIST	
		#INCLUDE "st7flite19.inc"
		#include "I2C.inc"
    .LIST   
;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 					
		SEGMENT 'ram0'	

;******************************************************************************
; obszar pamieci programu		
;******************************************************************************
		WORDS 					
		SEGMENT 'rom' 

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		
		CALL	i2c_start				; start
		LD		A, #$40					; adres ukadu MCP23008 + W
		CALL	i2c_write
		LD		A, #$00					; adres rejestru wewntrznego (IODIR)
		CALL	i2c_write
		LD		A, #$F0					; 4 starsze bity -> wejcie; 4 modsze -> wyjcie
		CALL	i2c_write
		CALL	i2c_stop				; stop
		
mainLoop			
		
		CALL	i2c_start				; start
		LD		A, #$40					; adres ukadu MCP23008 + W
		CALL	i2c_write
		LD		A, #$09					; adres rejestru wewntrznego (GPIO)
		CALL	i2c_write
		CALL	i2c_start				; ponowny start
		LD		A, #$41					; adres ukadu MCP23008 + R
		CALL	i2c_write
		SCF										; NACK
		CALL	i2c_read				; odczyt rejestru
		PUSH	A								; zapamitanie odczytanej wartosci na stosie
		CALL	i2c_stop				; stop
		
		CALL	i2c_start				; start
		LD		A, #$40					; asdres ukadu MCP23008 + W
		CALL	i2c_write
		LD		A, #$09					; adres rejestru wewntrznego  (GPIO)
		CALL	i2c_write
		POP		A								; odczytanie wartoci ze stosu
		SWAP	A								; zamiana pbajtw		
		CALL	i2c_write				; zapis
		CALL	i2c_stop				; stop

		JRA 	mainLoop
		

;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************
		END
