st7/
		.NOLIST	
		#INCLUDE "st7flite19.inc"
    .LIST 
		
MCP_CS	EQU	5

;******************************************************************************
; obszar pamici programu
;******************************************************************************		
		wORDS
		SEGMENT	'rom'

;******************************************************************************
; obszar pamici programu
;******************************************************************************	
.initMCP
		BSET	PBDR,  #MCP_CS
		BSET	PBOR,  #MCP_CS
		BSET	PBDDR, #MCP_CS
		RET
		
;******************************************************************************
; Procedura inicjalizacji interfejsu SPI
;******************************************************************************
.initSPI
		LD		A, #%00000011 		; programowe zarzdzanie trybem pracy, SS -> GPIO
		LD		SPISR, A
		LD		A, #%01010000 		; MASTER; Enable, Fsck = Fcpu/8
		LD		SPICR, A
		RET
		
;******************************************************************************
; Procedura  transmitujca  bajt danych 
;******************************************************************************
.sendSPI
		LD		SPIDR, A					; zaadowanie danej do wysania do SPIDR
		BTJF	SPISR, #7, *			; oczekiwanie na zakoczenie transmisji
		LD		A, SPIDR					; zaadowanie odebranej danej do A
		RET
		
;******************************************************************************
; Przed:
; X : adres ukadu MPC23S08
; Y : adres rejestru wewntrznego
; A : dana do zapisania
;******************************************************************************
.MCP23S08WriteReg
		PUSH	A								; zapamitanie A na stosie
		BRES	PBDR, #MCP_CS		; uaktywnienie sygnau CS
		LD		A, X						; X do A
		ADD		A, #$40					; dodanie adresu MPC
		CALL	sendSPI					; wysanie
		LD		A, Y						; Y do A
		CALL	sendSPI					; wysanie
		POP		A								; odtworzenie A
		CALL	sendSPI					; wysanie
		BSET	PBDR, #MCP_CS 	; dezaktywacja sygnau CS
		RET
		
;******************************************************************************
; Przed :
; X : adres ukadu MPC23S08
; Y : adres rejestru wewntrznego
; Po :
; A : odebrana dana
;******************************************************************************
.MCP23S08ReadReg
		BRES	PBDR, #MCP_CS
		LD		A, X						; X do A
		ADD		A, #$41					; dodanie adresu MPC
		CALL	sendSPI					; wysanie
		LD		A, Y						; Y do A
		CALL	sendSPI					; wysanie
		CALL	sendSPI					; odbir
		BSET	PBDR, #MCP_CS 	; dezaktywacja sygnau CS
		RET


		END
;******************************************************************************
;
;******************************************************************************
