st7/
;******************************************************************************
; LITEcomp - aplikacje
; Przykad 6. Przetwornik analogowo-cyfrowy
;******************************************************************************
		.NOLIST	
		#INCLUDE "st7flite19.inc"
    .LIST   
;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 					
		SEGMENT 'ram0'	
adcH	ds.b 1
adcL	ds.b 1

;******************************************************************************
; obszar pamieci programu		
;******************************************************************************
		WORDS 					
		SEGMENT 'rom' 

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		CLR		ATRH
		CLR		ATRL
		LD		A, #16					;
		LD		ATCSR, A				; inicjalizacja timera
		
		LD		A, #%00000100		;
		LD		PWMCR, A				; aktywacja wyjcia PWM1

		LD		A, #%00100000		;
		LD		ADCCSR, A				; waczenie przetwornika ADC
		
mainLoop									; ptla gwna
		BTJF	ADCCSR, #7, *		; oczekiwanie na zakoczenie przetwarzania
		LD		A, ADCDRL
		LD		adcL, A					; przepisanie ADCDRL do adcL 
		LD		A, ADCDRH
		LD		adcH, A					;	przepisanie ADCDRH do adcH
		
		SLA		adcL						;
		SLA		adcL						; 
		SWAP	adcH						; 
		LD		A, adcL					;	
		OR		A, adcH				 	;
		AND		A, #%11111100		; Konwersja wyniku pomiaru
		LD		adcL, A					;
		LD		A, adcH					;
		AND		A, #$0F					;
		LD		adcH, A					;
		
		LD		A, adcL				
		LD		DCR1L,A					; przepisanie adcL do DCR1L
		LD		A, adcH
		LD		DCR1H, A				; przepisanie adcH do DCR1H
		
		BSET	TRANCR, #0			; ustawienie bitu TRAN
		JRA 	mainLoop 				; skok na pocztek ptli
		
		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************
