st7/
;******************************************************************************
; LITEcomp - aplikacje
; Przykad wykorzystania biblioteki procedur obsugi wywietlacza LCD
; Plik : main.asm
;******************************************************************************
		.NOLIST	
		#INCLUDE "st7flite19.inc"
		#INCLUDE "LCD.inc"
    .LIST   

S1	EQU	0
S2	EQU	2

;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 					
		SEGMENT 'ram0'	
 
;******************************************************************************
; obszar pamieci programu		
;******************************************************************************
		WORDS 					
		SEGMENT 'rom' 	
tekst1 	STRING	"##  LITEcomp  ##",0
tekst2 	STRING 	"Nacisnij S1/S2  ",0
tekst3	STRING	"S1 www.btc.pl   ",0
tekst4	STRING	"S2 www.kamami.pl",0

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		CALL	lcdinit						; inicjalizacja wywietlacza
		WTXT	tekst1						; wypisanie tekstu w pierwszej lini
mainloop		
		LD		A, #SECLINEADDR		; 
		CALL	lcdsetaddress			;	ustawienie adresu na drug lini
		BTJT	PADR, #S1, next1	; jeli S1 nie jest wcinity to skok do next1
		WTXT 	tekst3						; w przeciwnym razie wywietlenie tekstu
next1		
		BTJT	PADR, #S2, next2	; jeli S2 nie jest wcinity to skok do next2
		WTXT	tekst4						; w przeciwnym razie wywietlenie tekstu
		JRA		mainloop					; skok na pocztek ptli
next2		
		WTXT	tekst2						; wypisanie tekstu
		JRA 	mainloop					; skok na pocztek ptli
		
		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************